Bug 868425 - RFE: RAM backed storage pool
RFE: RAM backed storage pool
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Depends On:
  Show dependency treegraph
Reported: 2012-10-19 15:48 EDT by Jesse Keating
Modified: 2016-04-26 12:02 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-23 19:01:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-10-19 15:48:00 EDT
As systems are coming with more and more ram, it is desirable to create ram storage for use with short lived guests.

In my use case I use guests to do repeated install testing, where persistence between host reboots is unneeded.  However speed is needed, and as I have an over abundance of ram in my host I'd like to allocate some of it to be the storage for these one-shot guests.

Currently I'm using scsi_debug to create a scsi device out of a chunk of ram, then creating LVM on that scsi device and giving the device to libvirt.  I have to make sure this gets setup before the libvirt daemon starts so that the pool is available for use.  It would be nice to make this kind of setup (not necessarily scsi_debug) a supported path, complete with UI to create such a storage pool that would get managed at daemon start time.
Comment 1 Dave Allan 2012-10-19 15:57:08 EDT
You and Osier should talk about exactly what you're doing and how to implement it.
Comment 2 Cole Robinson 2012-10-21 17:15:51 EDT
Does tmpfs fit the requirements? Then it could just be a <pool type='filesystem'/> with <source device='tmpfs'/> or something like that.
Comment 3 Jesse Keating 2012-10-24 14:04:39 EDT
(In reply to comment #2)
> Does tmpfs fit the requirements? Then it could just be a <pool
> type='filesystem'/> with <source device='tmpfs'/> or something like that.

tmpfs might work.  I don't know the performance differences between scsi_debug direct, LVM on top of scsi_debug, or qcow like images on top of tmpfs.

One thing that libvirt would have to do is recreate the setup each start up.  It's not enough to just make the tmpfs pool, it would need to recreate any image files on top of it.
Comment 5 Cole Robinson 2016-03-23 19:01:20 EDT
People can do this manually with host tmpfs mounts... I think that's sufficient without needing to add native libvirt support

Note You need to log in before you can comment on or make changes to this bug.